Package org.springframework.security.web.webauthn.api

# Class ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder

java.lang.Object
org.springframework.security.web.webauthn.api.ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder

Enclosing class:
  ImmutablePublicKeyCredentialUserEntity

public static final class ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder extends Object
Used to build `PublicKeyCredentialUserEntity`.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredentialUserEntity`
`build()`
Builds a new `PublicKeyCredentialUserEntity`
`ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`
`displayName(String displayName)`
Sets the `ImmutablePublicKeyCredentialUserEntity.getDisplayName()` property.
`ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`
`id(Bytes id)`
Sets the `ImmutablePublicKeyCredentialUserEntity.getId()` property.
`ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`
`name(String name)`
Sets the `ImmutablePublicKeyCredentialUserEntity.getName()` property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### name

public ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder name(String name)
Sets the `ImmutablePublicKeyCredentialUserEntity.getName()` property.

Parameters:
  `name` - the name
Returns:
  the `ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`

### id

public ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder id(Bytes id)
Sets the `ImmutablePublicKeyCredentialUserEntity.getId()` property.

Parameters:
  `id` - the id
Returns:
  the `ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`

### displayName

public ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder displayName(String displayName)
Sets the `ImmutablePublicKeyCredentialUserEntity.getDisplayName()` property.

Parameters:
  `displayName` - the display name
Returns:
  the `ImmutablePublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityBuilder`

### build

public PublicKeyCredentialUserEntity build()
Builds a new `PublicKeyCredentialUserEntity`

Returns:
  a new `PublicKeyCredentialUserEntity`